rel.hh File Reference
`#include <gecode/set.hh>`
`#include <gecode/set/rel/common.hpp>`
`#include <gecode/set/rel/subset.hpp>`
`#include <gecode/set/rel/nosubset.hpp>`
`#include <gecode/set/rel/re-subset.hpp>`
`#include <gecode/set/rel/eq.hpp>`
`#include <gecode/set/rel/re-eq.hpp>`
`#include <gecode/set/rel/nq.hpp>`
`#include <gecode/set/rel/lq.hpp>`
`#include <gecode/set/rel/re-lq.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Set::Rel::Subset< View0, View1 >
| Propagator for the subset constraint More...
class | Gecode::Set::Rel::NoSubset< View0, View1 >
| Propagator for the negated subset constraint More...
class | Gecode::Set::Rel::ReSubset< View0, View1, CtrlView, rm >
| Reified subset propagator More...
class | Gecode::Set::Rel::Eq< View0, View1 >
| Propagator for set equality More...
class | Gecode::Set::Rel::ReEq< View0, View1, CtrlView, rm >
| Reified equality propagator More...
class | Gecode::Set::Rel::Lq< View0, View1, strict >
| Propagator for set less than or equal More...
class | Gecode::Set::Rel::ReLq< View0, View1, rm, strict >
| Reified propagator for set less than or equal More...
class | Gecode::Set::Rel::Distinct< View0, View1 >
| Propagator for negated equality More...
class | Gecode::Set::Rel::DistinctDoit< View0 >
| Propagator for negated equality More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Set::Rel
| Standard set relation propagators.

## Functions

template<class VX, class VY>
bool | Gecode::Set::Rel::same (VX c, VY y)
| Test whether two views are in fact the same.